clusteringCoefAppr {RBGL} | R Documentation

## Approximate clustering coefficient for an undirected graph

### Description

Approximate clustering coefficient for an undirected graph

### Usage

    clusteringCoefAppr(g, k=length(nodes(g)), Weighted=FALSE, vW=degree(g))

### Arguments

`g` | an instance of the `graph` class
`Weighted` | calculate weighted clustering coefficient or not
`vW` | vertex weights to use when calculating weighted clustering coefficient
`k` | parameter controls total expected runtime

### Details

It is quite expensive to compute cluster coefficient and transitivity exactly for a large graph by computing the number of triangles in the graph. Instead, `clusteringCoefAppr` samples triples with appropriate probability, returns the ratio between the number of existing edges and the number of samples.

MORE ABOUT CHOICE OF K.

See reference for more details.

### Value

Approximated clustering coefficient for graph `g`.

### Author(s)

Li Long <li.long@isb-sib.ch>

### References

Approximating Clustering Coefficient and Transitivity, T. Schank, D. Wagner, Journal of Graph Algorithms and Applications, Vol. 9, No. 2 (2005).

### See Also

clusteringCoef, transitivity, graphGenerator

### Examples

    g <- fromGXL(file(system.file("XML/conn.gxl",package="RBGL")))
    k = length(nodes(g))
    cc <- clusteringCoefAppr(g, k)
    ccw1 <- clusteringCoefAppr(g, k, Weighted=TRUE)
    vW  <- c(1, 1, 1, 1, 1,1, 1, 1)
    ccw2 <- clusteringCoefAppr(g, k, Weighted=TRUE, vW)

[Package RBGL version 1.10.0 Index]